## tapankaikki 4.09-maemo1

=== wscript ===
#! /usr/bin/python2.5
# encoding: utf-8

# the following two variables are used by the target "waf dist"
VERSION='4.0.8'
APPNAME='tk'

# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = '_build_'

def set_options(opt):
	opt.tool_options('compiler_cxx')

# the check_library2 in waf doesn't let us define path unfortunately...
def check_library(conf, name, mandatory=1, uselib='', path=''):
	ck_lib = conf.create_library_configurator()
	if uselib: ck_lib.uselib = uselib
	ck_lib.mandatory = mandatory
	ck_lib.name = name
	ck_lib.path = path
	return ck_lib.run()

def configure(conf):
	# Check for working C++ compiler
	conf.check_tool('compiler_cxx')

	# Check for SDL and GTK libraries
	if not conf.check_pkg2('sdl', version='1.2.9', uselib='SDL', mandatory=0):
		conf.check_cfg2('sdl', uselib='SDL')
	conf.check_pkg2('gtk+-2.0', version='2.0', uselib='GTK')

	# Check for used additional libraries
	check_library(conf, 'SDL_image', uselib='SDL_image', path=conf.env['LIBPATH_SDL'])
	check_library(conf, 'SDL_mixer', uselib='SDL_mixer', path=conf.env['LIBPATH_SDL'])
	check_library(conf, 'SDL_net', uselib='SDL_net', path=conf.env['LIBPATH_SDL'])
	
	# Define that we want to use the linux header
	conf.env['CXXDEFINES'] = '__LINUX__'
	#conf.env['CXXFLAGS'].append('-fpermissive')
	#conf.env['CXXFLAGS'].append('-ggdb -O0')

	# Remove -Wall flag added by waf because it causes too much warnings
	#conf.env['CXXFLAGS'].remove('-Wall')

	# Make default install directory the current directory
	conf.env['PREFIX'] = '.'

def build(bld):
	# Add wscript files in subdirectories
	bld.add_subdirs('src')

=== data/Makefile ===
.PHONY: genlist

.include "Makefile.inc"

install:
.       for I in ${DIRS}
		${INSTALL_DATA_DIR} ${DESTDIR}${DATADIR}/$I
.       endfor
.       for I in ${FILES}
		${INSTALL_DATA} $I ${DESTDIR}${DATADIR}/$I
.       endfor

genlist:
	@set -e ; \
	echo 'DIRS = \' > Makefile.inc; find * -type d | \
		sed 's/^/	/;$$!s/$$/ \\/' >> Makefile.inc ; \
	echo 'FILES = \' >> Makefile.inc; find * -type f -a \! \( -name Makefile.inc -o -name Makefile \) | \
	sed 's/^/	/;$$!s/$$/ \\/' >> Makefile.inc

=== src/Makefile ===
CC =		g++
LD =		g++

CFLAGS ?=	-Wall -O2
CFLAGS +=	-D__LINUX__ -DDATADIR=\"${DATADIR}\" `pkg-config --cflags SDL_image SDL_mixer sdl` -I/usr/local/include
LDFLAGS +=	`pkg-config --libs SDL_image SDL_mixer sdl` -lSDL_net

SRCS =	CBodyPart.cpp \
	CGUIStateGame.cpp \
	CGameModeDeathmatch.cpp \
	CGraphicsFader.cpp \
	CTargetSystemCrate.cpp \
	CBullet.cpp \
	CGUIStateLogo.cpp \
	CGameState.cpp \
	CIngameData.cpp \
	CWeaponCrate.cpp \
	CBulletCrate.cpp \
	CGUIStateQuit.cpp \
	CGameStatisticsData.cpp \
	CKeys.cpp \
	CWebVersionChecker.cpp \
	CCharacter.cpp \
	CGameApp.cpp \
	CGameSubStateLevelInfo.cpp \
	CLevelRuntimeData.cpp \
	Menu.cpp \
	CCrate.cpp \
	CGameData.cpp \
	CGameSubStateNextLevel.cpp \
	CMessageBoard.cpp \
	MenuItems.cpp \
	CDynGameData.cpp \
	CGameDrawManager.cpp \
	CGameSubStateOngoing.cpp \
	CMoneyCrate.cpp \
	Timer.cpp \
	CDynShopData.cpp \
	CGameDrawer.cpp \
	CGameSubStateQuit.cpp \
	COptions.cpp \
	lists.cpp \
	CEffect.cpp \
	CGameGraphicsInterface.cpp \
	CGameSubStateShop.cpp \
	CPlayer.cpp \
	main.cpp \
	CEnemy.cpp \
	CGameMenuBase.cpp \
	CGameSubStateStatistics.cpp \
	CSoundPlayer.cpp \
	network.cpp \
	CEnergyCrate.cpp \
	CGameMenuContainer.cpp \
	CGameSubStateVictory.cpp \
	CSplash.cpp \
	texts.cpp \
	CEventFilter.cpp \
	CGameMenuItem.cpp \
	CGameSystem.cpp \
	CStatViewData.cpp \
	CGUIEffectData.cpp \
	CGameModeCooperative.cpp \
	CGameVersion.cpp \
	CState.cpp \
	common/CBodyPartBase.cpp \
	common/CEnemyBase.cpp \
	common/CLevel.cpp \
	common/CSteam.cpp \
	common/CBulletBase.cpp \
	common/CEventHandler.cpp \
	common/CLightMap.cpp \
	common/CWeaponBase.cpp \
	common/CColorTable.cpp \
	common/CFonts.cpp \
	common/CLightTable.cpp \
	common/TypeInterfaces.cpp \
	common/CConfigFile.cpp \
	common/CGameTypeData.cpp \
	common/CMath.cpp \
	common/defines.cpp \
	common/CDrawArea.cpp \
	common/CGraphicsBuffer.cpp \
	common/CMouse.cpp \
	common/error.cpp \
	common/CEditableLevel.cpp \
	common/CGraphicsDevice.cpp \
	common/CPalette.cpp \
	common/files.cpp \
	common/CEffectBase.cpp \
	common/CGraphicsGenerator.cpp \
	common/CSpotlight.cpp \
	common/types.cpp

OBJS =		${SRCS:.cpp=.o}
TARGET = 	tkb

.SUFFIXES:	.cpp .o

all: ${TARGET}

${TARGET}: ${OBJS}
	${LD} ${LDFLAGS} ${OBJS} -o ${TARGET}

.cpp.o:
	${CC} ${CFLAGS} -c -o $@ ${@:.o=.cpp}

clean:
	rm -f ${OBJS} ${TARGET}

=== src/wscript ===
#! /usr/bin/env python
# encoding: utf-8

def build(bld):
	obj = bld.create_obj('cpp', 'program')
	obj.find_sources_in_dirs('.')
	obj.uselib='SDL SDL_image SDL_mixer SDL_net'
	obj.uselib_local='tk4common'
	obj.target='tk4'

	bld.add_subdirs('common Editor efpconv')

=== src/efpconv/wscript ===
#! /usr/bin/env python
# encoding: utf-8

def build(bld):
	obj = bld.create_obj('cpp', 'program')
	obj.find_sources_in_dirs('.')
	obj.uselib='SDL SDL_image'
	obj.uselib_local='tk4common'
	obj.target='efpconv'

=== debian/changelog ===
tapankaikki (4.09-maemo1) unstable; urgency=low

   * Fremantle packaging, optified
   * Fix: Linux compile
      - https://sourceforge.net/tracker/?func=detail&atid=972009&aid=3528400&group_id=200065
   * Fix: Case sensitive file system
      - https://sourceforge.net/tracker/?func=detail&atid=972009&aid=3528401&group_id=200065
   * Fix: Data files extensions
      - https://sourceforge.net/tracker/?func=detail&atid=972009&aid=3528402&group_id=200065

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Sun, 20 May 2012 17:58:22 +0300

=== debian/control ===
Source: tapankaikki
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: libsdl1.2-dev (>= 1.2.5), libsdl-mixer1.2-dev (>= 1.2.6-5+0m5+ogg+mp3-2), 
 libsdl-image1.2-dev (>= 1.2), libsdl-net1.2-dev (>= 1.2), libgtk2.0-dev, python2.5
Standards-Version: 3.8.0
Homepage: https://sourceforge.net/projects/tapankaikki/

Package: tapankaikki
Architecture: any
Depends: ${shlibs:Depends}, libsdl-mixer1.2 (>= 1.2.6-5+0m5+ogg+mp3-2)
Description: Violent top view shooter game.
 Tapan Kaikki is a top view shooter game. The sole purpose of the game is to
 kill everything that moves. 1-4 players.
XSBC-Bugtracker: https://sourceforge.net/tracker/?group_id=200065&atid=972009

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1

# Needed to cross-compile
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

config.status:
	dh_testdir
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif
	#$(MAKE) -f /usr/share/quilt/quilt.make patch
	# Add here commands to configure the package.
	python2.5 ./waf configure
build: build-stamp

build-stamp:  config.status
	dh_testdir

	# Add here commands to compile the package.
	python2.5 ./waf build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	./waf distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	python2.5 ./waf install

	mkdir -p $(CURDIR)/debian/tapankaikki/opt/tapankaikki/
	cp -r $(CURDIR)/data $(CURDIR)/debian/tapankaikki/opt/tapankaikki/ 

	mkdir -p $(CURDIR)/debian/tapankaikki/opt/tapankaikki/
	cp $(CURDIR)/bin/* $(CURDIR)/debian/tapankaikki/opt/tapankaikki/ 


	#correct place of icon
	mkdir -p $(CURDIR)/debian/tapankaikki/usr/share/pixmaps/
	cp debian/icon.pcx $(CURDIR)/debian/tapankaikki/usr/share/pixmaps/tapankaikki.png 

	#place of desktop-file
	mkdir -p $(CURDIR)/debian/tapankaikki/usr/share/applications/hildon
	cp debian/tapankaikki.desktop $(CURDIR)/debian/tapankaikki/usr/share/applications/hildon

	mkdir -p $(CURDIR)/debian/tapankaikki/usr/bin
	cp $(CURDIR)/debian/tapankaikki.sh $(CURDIR)/debian/tapankaikki/usr/bin/tapankaikki


# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs  -i
	dh_installdocs -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs  -a
	dh_installdocs -a
	dh_installmenu -a
	#dh_installman 
	dh_desktop -a
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## tapankaikki 4.09-maemo2

=== debian/changelog ===
tapankaikki (4.09-maemo2) unstable; urgency=low

   * Icon
   * SDKL_KP_ENTER as return
   * backspace as escape
   * no grabbing

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 21 May 2012 10:59:22 +0300

## tapankaikki 4.09-maemo3

=== Makefile ===
PREFIX =	/usr/local
DATADIR ?=	${PREFIX}/share/tkb
MAKE_FLAGS =	DATADIR="${DATADIR}"
MAKE_ENV =	INSTALL_DATA_DIR="${INSTALL_DATA_DIR}" \
		INSTALL_DATA="${INSTALL_DATA}" \
		INSTALL_PROGRAM_DIR="${INSTALL_PROGRAM_DIR}" \
		INSTALL_PROGRAM="${INSTALL_PROGRAM}" \
		DESTDIR="${DESTDIR}" \
		PREFIX="${PREFIX}" \
		DATADIR="${DATADIR}"

INSTALL_DATA_DIR =	install -d -o root -g bin -m 755
INSTALL_PROGRAM_DIR =	install -d -o root -g bin -m 755
INSTALL_DATA =		install -c -o root -g bin -m 444
INSTALL_PROGRAM =	install -c -s -o root -g bin -m 555

all: game editor

game:
	cd src && env -i ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS}

editor:
	cd src/Editor && env -i ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS}

install:
	${INSTALL_PROGRAM_DIR} ${DESTDIR}${PREFIX}/bin
	${INSTALL_PROGRAM} src/tkb src/Editor/tkb-editor ${DESTDIR}${PREFIX}/bin
	${INSTALL_DATA_DIR} ${DESTDIR}${DATADIR}
	${INSTALL_DATA} COPYING ${DESTDIR}${DATADIR}/
	cd data && env -i ${MAKE_ENV} ${MAKE} ${MAKE_FLAGS} install

=== src/Editor/Makefile ===
CC =		g++
LD =		g++

DATADIR ?=	/usr/local/share/tkb
CFLAGS ?=	-Wall -O2
CFLAGS +=	-D__LINUX__ -DDATADIR=\"${DATADIR}\" `pkg-config --cflags SDL_image sdl gtk+-2.0` -I/usr/local/include
LDFLAGS +=	`pkg-config --libs SDL_image sdl gtk+-2.0` -lSDL_net

SRCS = 	EditorBrush.cpp \
	EditorGraphics.cpp \
	EditorTools.cpp \
	StateEditLevel.cpp \
	StateNewLevel.cpp \
	EditorClipBoard.cpp \
	EditorLevelIO.cpp \
	EventFilter.cpp \
	StateEditRCData.cpp \
	StateRemoveObjects.cpp \
	EditorClipBoardBlock.cpp \
	EditorMagicSelection.cpp \
	StateAddObjects.cpp \
	StateGetBlock.cpp \
	editorapp.cpp \
	EditorDrawer.cpp \
	EditorSelection.cpp \
	StateEditGeneralData.cpp \
	StateHandler.cpp \
	main.cpp \
	EditorEvent.cpp \
	EditorState.cpp \
	StateEditHeights.cpp \
	StateHelp.cpp \
	../common/CBodyPartBase.cpp \
	../common/CEnemyBase.cpp \
	../common/CLevel.cpp \
	../common/CSteam.cpp \
	../common/CBulletBase.cpp \
	../common/CEventHandler.cpp \
	../common/CLightMap.cpp \
	../common/CWeaponBase.cpp \
	../common/CColorTable.cpp \
	../common/CFonts.cpp \
	../common/CLightTable.cpp \
	../common/TypeInterfaces.cpp \
	../common/CConfigFile.cpp \
	../common/CGameTypeData.cpp \
	../common/CMath.cpp \
	../common/defines.cpp \
	../common/CDrawArea.cpp \
	../common/CGraphicsBuffer.cpp \
	../common/CMouse.cpp \
	../common/error.cpp \
	../common/CEditableLevel.cpp \
	../common/CGraphicsDevice.cpp \
	../common/CPalette.cpp \
	../common/files.cpp \
	../common/CEffectBase.cpp \
	../common/CGraphicsGenerator.cpp \
	../common/CSpotlight.cpp \
	../common/types.cpp

OBJS =		${SRCS:.cpp=.o}
TARGET = 	tkb-editor

.SUFFIXES:	.cpp .o

all: ${TARGET}

${TARGET}: ${OBJS}
	${LD} ${LDFLAGS} ${OBJS} -o ${TARGET}

.cpp.o:
	${CC} ${CFLAGS} -c -o $@ ${@:.o=.cpp}

clean:
	rm -f ${OBJS} ${TARGET}

=== src/Editor/wscript ===
#! /usr/bin/env python
# encoding: utf-8

def build(bld):
	obj = bld.create_obj('cpp', 'program')
	obj.find_sources_in_dirs('.')
	obj.uselib='GTK SDL SDL_image'
	obj.uselib_local='tk4common'
	obj.target='tk4editor'

=== src/common/wscript ===
#! /usr/bin/env python
# encoding: utf-8

def build(bld):
	obj = bld.create_obj('cpp', 'staticlib')
	obj.find_sources_in_dirs('.')
	obj.uselib='SDL'
	obj.target='tk4common'
	obj.install_var = 0

=== debian/changelog ===
tapankaikki (4.09-maemo3) unstable; urgency=low

   * Icon fix.
   * building on autobuilder (python2.5)

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 21 May 2012 17:55:22 +0300

=== debian/control ===
--- 
+++ 
@@ -14,3 +14,107 @@
  Tapan Kaikki is a top view shooter game. The sole purpose of the game is to
  kill everything that moves. 1-4 players.
 XSBC-Bugtracker: https://sourceforge.net/tracker/?group_id=200065&atid=972009
+XB-Maemo-Icon-26:
+ iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABGdBTUEAALGP
+ C/xhBQAAAAFzUkdCAK7OHOkAAAAgY0hSTQAAeiYAAICEAAD6AAAAgOgAAHUw
+ AADqYAAAOpgAABdwnLpRPAAAAAZiS0dEAP8A/wD/oL2nkwAAAAlwSFlzAAAL
+ EwAACxMBAJqcGAAAEPZJREFUaN7tWWmUVdWV/vY59943DzWPQEExVQRBjKDi
+ sCAxJkES56hoJsxgnFHSrsSs7l7GGDUxMe0Q2oAxiZrWqIlDyKAMTgyKIAgy
+ FQVV1PyKeq/eeO895+z+UZEQRYWyO/2nv1/v3vX2Od9399n77LMP8P/4vwWN
+ 1PCSOdGDvx9ZmRvRGN+cFwMAKDP8/Ivl2aMeQ4xUgK+R8BXmuj47Z8+MHLX9
+ zZckceGcOLpSKm4YUwAkRsLDGqmA0VUiCWC+0tiycbufAsBHanvn5RVY/IsB
+ IqLmuTPC53UOqNcGs6ZjJDxG7IExNVZoTI3V0lAhy088xjnipXjLF5MoeRy8
+ +4qKExsr5eWOTSeNr7fbAGRGwmPEHogGRQDAeEk8RpTTPgClD7N54LpKtPf5
+ ieokzY6GxFXREE1v7fbPfXOPu//RlYUR8RixB2JhIeMRUaYNzzeay75/0eGX
+ 8LfPieGGzw8HKwOxRER8IRygeyriYq7S3FGdkG2ORf5IeYxIQCIixEBGJxyL
+ IhUxeWlNmazBB2c0uuqzsaAAFo+qsm+rSsrRhrnUO2g2DmbNh3ruf1zAWR8P
+ B9jjSrhGRARihSFzMRij3v2/G+fHsLPXJ2148vHjnPsSNl0RZC6HZ6Qpcbr/
+ gPpTV0qVHvprfsQCRhQD9WUiRIwqaIDAIhGhS1wtVvHOie1XX92N5ZuKGF0h
+ kffZmjU2cPK4avsG26I5UiAGA2bDBIPSK1tLu3ozWn0UD4xIQCIsAlKgHAAB
+ RCGHGmsTtOj+O1LjDfMaY9ALoLoyJCYGHZoORlXRMyVBiAUsItsiGAD7B7S7
+ u+cj8R+ZgJCFgCBUvJP4BQGC8ElLQsTDYqg8Jt5Z154laEvJ4w0F39QHbKoj
+ oEwZTCr5XH32CaGTQgHqeHJNQW/tHJmQEQkISAoKoAoMYgZKvml1Fb+hmd+M
+ hqh7UoPd0z2gUgA2AAAR4GsgECRs3O+3lIfF+Y5AWdCh+td3e5VbO1X3XefH
+ jCUInRmDt7oUnttyZLFtBeTfk4erj2wzDQmEpEGN7xrNRNv3dKl7X2t1/9DQ
+ 4CRDDhmlObVym4uV21zcekkS6bzG936bpgeur6yvLLPOKnmcuP33mZscjyvC
+ EVF+yayQBUAYhlvwkNvVp0rM3/AeXvgYXJ9R9BieZlgCEIKQLRocyBls6VGQ
+ mgHNwI/PjaOl1sLavR+ckk9ssnHCaHu88fmCfIF79/X6X94/qP7SkeG6ltH2
+ mQ3llt2YlNtf3s64+bwonIADz9dWU63VMLbO/reATS1vt3vLSi63pbMm31Am
+ 85NrrXmJIF3uWOIES1JZY1JEXvrtFoqHRABA0NcIagNbCFiCSHiKZclj6s0Z
+ turiEkoz7ehTImgRAzAf4gAayJkwEToHC/ytbNF0/nxlQV3/uVhFfVJ+LhSg
+ rekSngagAcD3PCvkUMsnpwVvcSw6A4T/1BrrAaAvzzxRogDgMUDYyYj4en0Z
+ LWC2tFKsCz57hrFPELqkQJsgaiWgG8CQYfQBaLUmVkuUFAdDNl1gGLvvvyDx
+ asFn3PD7ofehj1Grd7qipda+9Y6/5trvuzjBM+okxlRYDckgVTLjUwx86cVb
+ ksuWrsjbtQnxiXE19k2WxAlas9QGQ0TwXt/pIWABzGAABQC/yxbNJDBNiQZE
+ EJIQFQQA1bEQfIBdpeEVPN5xII8/7+hXz4OhLSKAAK+k+PVJldZFAC5VBk8+
+ +ZXk8/1ZRt41f1t/BAXGva8W/ZzLPQM53vbAxUn+2qNpAMDXbTQTUB6wqbqu
+ TC7e3aPPnNMSdLIlnkSMFkkEEIOBwEk1FqZ+IQFfMVwD7E0pFH0eJPD9QSkd
+ l/kqSwJyeHd3Bot8wBCetCTWM6MTQGfBQ7ctYWRThYQy4KfedPvPnByoC1n0
+ 6YowzS36mOgq1JV8jpYUJxkYJQQ+Pbnaqly/X22c1mAX2gY06iKEZIAwbYyz
+ MCQxyyZyPMX5bJHb0gWzPejQOotoeaZg3nJ9drXHTay4Me9yvuBxMFVgcf/q
+ gnn+vjq9ZbM76JU4L4iOCUhq9BSboSI/nSnxkt4h81/XPzG06rJZodZUzqQ6
+ BnXpbx9/GCe3BHBsuSyfVmddGnVokSUwxlfYxsBuADlBsLtzJpnKm8cdSQ9k
+ SgaGgXtfLgCAfPDLZc8KgdMFYZXH+MP2Xr3mzueGWt+4vTbv+Yxv3pOq/MJp
+ 0RnJAM0RzNNCNrmWoD4SyICRl4RizmW1b0AH4xZOGZWQp6VL/HR7Wt+37NXC
+ mqvmRnTXkME9q/LvWtGH4IY5EWQLZtTkautrdTFxoyMRIvz9pNKeMY++ndKP
+ TKmxel/b7+359MTAQCIgsKbDO+GYUfZdOZeze1P6h+NHOS+2DWj8ZPkQcqVh
+ 64tnhnB8s4MbH83Yt58TP6exTP4w6tBYBmAYcH0ezJTM3q6M2WA8Vo0x0by+
+ U123bF3h7cVzI3znisPXS/LQhzV7fcwe6wzFHTqgNY8NWzQaw0GmSj4XPM2/
+ jIakciS+mgiKsC1gXIXGkCOuLbrMYNxdUFj545ejeHZ9P7xDNte3OhX+8paL
+ 40fZJiDQYxOycZtONZql6+HtviH9q90pc/fujPWQrXhDX447445Y8+o+z2SK
+ FvpzPoB/P0xOOQzunJcQCcdMlIR7gzaFLcGFvIeeksLPdwyatklV1qWVEfp8
+ tmQSUpBDRPmcx4vzCi/8ZF1AC2mjs7PzffPwN2aHaWKFbJaE+y1JU3enzKWD
+ Jf1SZUz6PeHjYKKNMki+nJt/Xi/fXVCrugR3DRZRW101/NWdIMDDnj1sKbG5
+ 4ctmavpPreV+14VgEABmhiagoAxrAPcAtFQxCV9BBCzozqwYWrLRhiMhiIjx
+ wWdkJmO6O7J095vd/C1PY/+Lree46y98BD/lavhG8Km5FUFLqilVIWo/powO
+ dA3isMWSWLBgARYsWPAPLx2dw+LHdvgABkBIARgAkAbgEZEeDmruj9uqtynB
+ 3Y5E360LB0u2gHECQdi2/YFn5CWvFJD3TKE3y6v6C+K6jCvaeM4jOGEeAF2C
+ s+MZ6RhvBjH/YmJS/vCsJqq56ePOYVePBcAGoN79xS5fuBAAsHTpUgDAZ45r
+ BgAs39gKAJhbZ2FCgnBqrUTaI/zgRyEAYMtymNl86CF/9hibG6Iq9+sNQzsn
+ VIdmL0oHz43cgxdOdV7440bF4XxRjItFaEq5Q6P2Z/VO39BDT0xJdZ/3VuVB
+ L74j4D2lwzukD0WKQwkC/JuPcQpVIcI180K44Ne5USCcaoBJCnj4u6MyO39y
+ IHpw8PfDTccG8dxaH50lC080B2RzlKfVOLgobmOWAIq1MbGDGTMIxLZAeUVQ
+ fNWRtGn2CquXaMDUNzQcHEsee+yxDABbtmw57GSLpjqYVS0xzs6f2SgyMsY6
+ G5Q47s096lNNYXFhWNKlgunsEDigGa3HW0OpmJvBG+n3llTzaglfHWsjxaKC
+ QacXjAgEpRiMWSYwIYYDDkADRVYlz9RWhsQXQxLVYJBDqLAY4dNqqf3PHWp/
+ dmgI2WwW2WwWcsuWLe9L/qapDiIEDCjUTIzqGwKsq/oLRkYtzA8KujgicYZg
+ VDpgQYzjtWHbN9hz29vxVOxxH8fEBObXSkyJE86uk7jvrDheaPMbax26MCSw
+ sKdEe1xNu6UwrWfUi1Vb+83a7rxx4g7Nqw7SpwQDrEFgQAAtxLCnVcitZ9bK
+ Ayt69LAHDkf8W+NtXDbWwnc3K5pVJRqrgrSgMSLO9zVPy3psW4Y7JaGHGHvB
+ 2GcM9gtGytOYoA1qN/3cTbsagQEFYUviguJY3Ka6N9r9CRFJl0UlFlVZkJtT
+ 3o92HvAOrOhW/KtdPsZFRY4scG1YNCcdiimDXdqgn5kyBNjEGB+1iPM+b5le
+ JvInV0lY4yKE/UXGV8ZIVIcIt2xTUMw2g0J3z7ArMooXjQnRRRajoswmHUiK
+ fHvG3JMAfGZQxmcikEg4hLfTavaEsLg6ZuOPrsK2colnKyRvdAXqwfhETGJ2
+ WKLON5A5ZTpOrxA9u3PGAMAV4yy8MajtSWWiemdab55Y6dzalTGSALF5QNU2
+ ROm6+qCYZwOfo+Eu3l0BCe/QfUAAEJ+pk6GIRVMEcH7UwhnVATGWmMPGZ7IB
+ y2JMZ8LMF/v06ovH2HzOVAe0JIffTAJcLV+EMg0u04xaC8fXSHzMAHnLoRcL
+ Bq2ex42O5HoG4CnOOP+YQIiAya0Z400qE8+s2VQo7bQcTCoj9BVMoS4sv9Od
+ N/8RFPisIzAOjJkDJV5jHUJ+JoCzzqqXs+MOjRFAuSDEJTMdmlKChBObwuLK
+ 9qxue2VAtX//UY//ZbINUyEhOn1PKwxq5iwzGn3GUKeHO0nQn4XAgX4XT9k2
+ X2sTzoXGLgY4JwkfixMUo6YxRHZBY4CA0m2LanHro4MIWkCHRRqEzL0bvexV
+ 05z+vM/ji76pf6nHhN8RwAzsA/AcgA0CCBU1R9MuJkvCRFugSRKaQxLBoKRI
+ RGLeKZWW/+s2dc210wKpO970cPt2HzdWAYGYqDIGTTmFNiXo2ztzvPrBhxL9
+ d1w7hO+16r6fjqVXLcJ0MPYJgBeNJlyzRccWNluLCdi2vl8/vHSXwtIbe94T
+ m99oto0kDLRldC7qULtmlA4KiIW4Oxmk7vKQwCfqbJz+XM6ZXiEaGkOitsyh
+ qoDkapsoXGKEPeYyxRDTysSsJdu8vVuz2P7N0UJTyYwveNwSlLTWB+7/zj79
+ 1BWjhZ6/II1nBwwurJamu8SvBInjMcF9q3thmkbLlp9NtReECecT4S7F798k
+ XtI6fF6/slm6mtFNOKSY+1qTRHmAUB0kCAL25RmuBsoDhLhFcCSj0iFctt7D
+ aRUieUq1LPc1168ZMOlqG1FHYE95yUxPWpheY9Pr2qIVfQpo94FH+gwsAk4r
+ E1hxwNC5ETRNiNH0ZFKqMgefj0g6jwhCM13/pY3eMhwFDgbxA3v1ERmcXkGY
+ EBdpRyDtaexZ3Mj0RIoWTInQdOWIMWmP217SYtPvOjWWtUiMYaA5KnDLHiMB
+ VH5nrGyqd9DsGxwXkDg1KWgmAVRU6HUNe0dD/h8EHClWDzBWD/y9MLTGCdQ4
+ WFtn04PappPiAV6bUEi0NMl17vABngGkZyaoyMAkwzjPFpiXtNFoEQL4Wy+q
+ 6CGf1Sj+rwt4N57qAad87rp7InJBggzYdFKFhZmKwQXNWg+3Px7/WIQe21Xg
+ 19Zl8EZI0MpaB4vjErNALAhEmrmtpLn/ny5gtG0QZAjWIEMAH2yVwkigv8vF
+ oozGS0TIaLC/chA4JUnLPY3+Qc1Pxi2qwnDDYntBo/to5x/xDc07mB4lmltG
+ taxMCMpAKAPtG5P3zIZBHwv6Xf7LzzpMPwCPAK4PgAXgZjze7Cm+Gcpk4Bso
+ zXs3FCn1TxdQLiCqJCaDOUkMuAbprOLf+AZX/6BdvzwpRLn55QIPdhqsSQNd
+ LuPf2zR6ipwXhp8vKc74BggCHZtKNHS0838kAVeWA5+tFBwjnMQGNUXN24cU
+ 35fWuIsI686vEvpPQ4xnDry3tI7ZZEqaU4MKzxQ1pwVzsVziyFLhIfhIMeAZ
+ yF+263GTQjTDB17PMp5udbF8dBAdV+754BbrbZ0G11ShaBM/aDk0QwDejvTR
+ 3xGM2AOnhIBxAQTCAp9RmrsGXf7pv3bwsrBEx7fbj6xN7wioMYxNWY/XZzxO
+ j4SHHIkRAIy2IR1CdZWFk7sVHl5bwmvTQvCXHEUYvpoHJoQgCoyyAmPnuiIG
+ /5kC4imF47IaTzuEvR6gHh/BXXtcACkFTin07fE//LL83fhvb/0+4LcvJDsA
+ AAAldEVYdGRhdGU6Y3JlYXRlADIwMTItMDUtMjFUMTA6NTM6MDcrMDM6MDDA
+ in30AAAAJXRFWHRkYXRlOm1vZGlmeQAyMDEyLTA1LTIxVDEwOjUzOjA3KzAz
+ OjAwsdfFSAAAAABJRU5ErkJggg==

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	dh_testdir
 	dh_testroot
 
-	./waf distclean
+	python2.5 ./waf distclean
 
 	dh_clean
 
@@ -61,7 +61,7 @@
 
 	#correct place of icon
 	mkdir -p $(CURDIR)/debian/tapankaikki/usr/share/pixmaps/
-	cp debian/icon.pcx $(CURDIR)/debian/tapankaikki/usr/share/pixmaps/tapankaikki.png 
+	cp debian/icon.png $(CURDIR)/debian/tapankaikki/usr/share/pixmaps/tapankaikki.png 
 
 	#place of desktop-file
 	mkdir -p $(CURDIR)/debian/tapankaikki/usr/share/applications/hildon
